ランタイム: Mix::Scene::ILightShaftsCaster Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::ILightShaftsCaster Class Referenceabstract

ライトシャフトキャスターインターフェース More...

`#include <ILightShaftsCaster.h>`

Inheritance diagram for Mix::Scene::ILightShaftsCaster:
[legend]
Collaboration diagram for Mix::Scene::ILightShaftsCaster:
[legend]

## Public Member Functions

virtual Boolean | IsEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Vector3 & | GetPosition (void) const =0
| 位置を取得します More...
virtual void | SetPosition (const Mix::Vector3 &pos)=0
| 位置を設定します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ILightShaftsCaster (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

ライトシャフトキャスターインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::ILightShaftsCaster::~ILightShaftsCaster | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Scene::ILightShaftsCaster::IsEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ILightShaftsCaster::SetEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Vector3& Mix::Scene::ILightShaftsCaster::GetPosition | ( | void |  | ) | const

pure virtual

位置を取得します

Returns
  位置を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::ILightShaftsCaster::SetPosition | ( | const Mix::Vector3 & | pos | ) |

pure virtual

位置を設定します

Parameters

  [in] | pos | 位置を表す Mix::Vector3 クラス

The documentation for this class was generated from the following file:

- Mix/Scene/ILightShaftsCaster.h